package com.redhat.thermostat.tools.eclipse.plugin.wizards;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.ui.INewWizard;
import org.eclipse.ui.IWorkbench;

import com.redhat.thermostat.tools.eclipse.plugin.Messages;

public class PluginXmlCreationWizard extends Wizard implements INewWizard {

    private PluginXmlProjectSelectionPage page;
    private ISelection selection;

    public PluginXmlCreationWizard() {
        super();
        setNeedsProgressMonitor(true);
    }

    @Override
    public void init(IWorkbench workbench, IStructuredSelection selection) {
        this.selection = selection;

        setWindowTitle(Messages.PluginXmlCreationWizard_windowTitle);
    }

    @Override
    public void addPages() {
        page = new PluginXmlProjectSelectionPage(selection);
        addPage(page);
    }

    @Override
    public boolean performFinish() {
        final String containerName = page.getContainerName();
        GuiPluginXmlCreator creator = new GuiPluginXmlCreator();
        return creator.createPluginWithFeedback(containerName, this);
    }

}
